// @title Swagger SoftwEng API
// @version 1.0
// @description REST API for the SoftwEng course in MSE
// @host rest.mse.kb28.ch
// @BasePath /
// @securityDefinitions.basic BasicAuth
// @in header
// @name Authorization
package main

import (
	_ "gateway-softweng/docs"
	"os"
	"os/signal"
	"syscall"
)

func main() {
	_, err := NewGateway()
	if err != nil {
		panic(err)
	}

	keepAlive := make(chan os.Signal)
	signal.Notify(keepAlive, os.Interrupt, syscall.SIGTERM)
	<-keepAlive
}
